org.apache.solr.client.solrj.request

## Class CoreAdminRequest.Create

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
  - - org.apache.solr.client.solrj.request.CoreAdminRequest
    - - org.apache.solr.client.solrj.request.CoreAdminRequest.Create

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.Create
    extends CoreAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.OverrideLastPublished, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `collection`
`protected String` `configName`
`protected String` `configSet`
`protected String` `dataDir`
`protected String` `instanceDir`
`protected String` `schemaName`
`protected String` `ulogDir`

### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`action, core, isIndexInfoNeeded, other`

### Constructor Summary

Constructors
Constructor and Description
`Create()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCollection()`
`String` `getCollectionConfigName()`
`String` `getConfigName()`
`String` `getConfigSet()`
`String` `getCoreNodeName()`
`String` `getDataDir()`
`String` `getInstanceDir()`
`Boolean` `getIsLoadOnStartup()`
`Boolean` `getIsTransient()`
`SolrParams` `getParams()`
`String` `getRoles()`
`String` `getSchemaName()`
`String` `getShardId()`
`String` `getUlogDir()`
`void` `setCollection(String collection)`
`void` `setCollectionConfigName(String name)`
`void` `setConfigName(String config)`
`void` `setConfigSet(String configSet)`
`void` `setCoreName(String coreName)` Provide the name of the core to be created.
`void` `setCoreNodeName(String coreNodeName)`
`void` `setDataDir(String dataDir)`
`void` `setInstanceDir(String instanceDir)`
`void` `setIsLoadOnStartup(Boolean loadOnStartup)`
`void` `setIsTransient(Boolean isTransient)`
`void` `setNumShards(int numShards)`
`void` `setRoles(String roles)`
`void` `setSchemaName(String schema)`
`void` `setShardId(String shardId)`
`void` `setUlogDir(String ulogDir)`

### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`createCore, createCore, createCore, createResponse, getContentStreams, getCoreStatus, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setIndexInfoNeeded, setOtherCoreName, swapCore, unloadCore, unloadCore, unloadCore`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instanceDir

    protected String instanceDir

#### configName

    protected String configName

#### schemaName

    protected String schemaName

#### dataDir

    protected String dataDir

#### ulogDir

    protected String ulogDir

#### configSet

    protected String configSet

#### collection

    protected String collection

### Constructor Detail

#### Create

    public Create()

### Method Detail

#### setInstanceDir

    public void setInstanceDir(String instanceDir)

#### setSchemaName

    public void setSchemaName(String schema)

#### setConfigName

    public void setConfigName(String config)

#### setDataDir

    public void setDataDir(String dataDir)

#### setUlogDir

    public void setUlogDir(String ulogDir)

#### setConfigSet

    public void setConfigSet(String configSet)

#### setCollection

    public void setCollection(String collection)

#### setNumShards

    public void setNumShards(int numShards)

#### setShardId

    public void setShardId(String shardId)

#### setRoles

    public void setRoles(String roles)

#### setCoreNodeName

    public void setCoreNodeName(String coreNodeName)

#### setIsTransient

    public void setIsTransient(Boolean isTransient)

#### setIsLoadOnStartup

    public void setIsLoadOnStartup(Boolean loadOnStartup)

#### setCollectionConfigName

    public void setCollectionConfigName(String name)

#### getInstanceDir

    public String getInstanceDir()

#### getSchemaName

    public String getSchemaName()

#### getConfigName

    public String getConfigName()

#### getDataDir

    public String getDataDir()

#### getUlogDir

    public String getUlogDir()

#### getConfigSet

    public String getConfigSet()

#### getCollection

    public String getCollection()

#### getShardId

    public String getShardId()

#### getRoles

    public String getRoles()

#### getCoreNodeName

    public String getCoreNodeName()

#### getIsLoadOnStartup

    public Boolean getIsLoadOnStartup()

#### getIsTransient

    public Boolean getIsTransient()

#### getCollectionConfigName

    public String getCollectionConfigName()

#### setCoreName

    public void setCoreName(String coreName)

Provide the name of the core to be created. Core names must consist entirely of periods, underscores and alphanumerics. Other characters are not allowed.

Overrides:
  `setCoreName` in class `CoreAdminRequest`
Throws:
  `IllegalArgumentException` - if the core name contains invalid characters.

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CoreAdminRequest`